{% extends template_base %}
{% load i18n %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}
{% load static %}


{% block title %}Detalle del Cliente a actualizar{% endblock %}

{% block pagelevelcss %}
  <style type="text/css">
    #viewerContainer{
      top:0;
    }
    .toolbar, #sidebarContainer{
      visibility: hidden;
    }
  </style>
  <link href="{% static 'css/swal.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
  <script src="{% static 'assets/plugins/sweetalert/sweetalert.min.js' %}"></script>
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="../">Clientes a actualizar</a>
    <li class="breadcrumb-item active">Detalle del cliente a actualizar</li>
  </ol>
  <!-- end breadcrumb -->
  
  
  <!-- begin page-header -->
  <h1 class="page-header">Detalles de cambios <small>  
    {%if validate %}
    {%else%}
      {%if ready_to_validate %}
      <a class="btn btn-primary" href="{% url 'mark_as_validado' customer.pk %}">Marcar como validado</a>
      {%else%} 
        {%if new_info %}
        <a class="btn btn-primary" href="{% url 'accept_changes_info' customer.pk %}">Aceptar cambios del cliente</a>
        {%endif%}
      {%endif%}
    {%endif%}
  </small></h1>
  
  <!-- end page-header -->
  
  
 <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Datos Actuales de Matrix</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
    <table class="table">
      <tr>
        <td><strong>Rut</strong></td><td><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></td>
      </tr>
      <tr>
        <td><strong>Nombre</strong></td><td>{{ customer.name }}</td>
      </tr>
      <tr>
        <td><strong>Email</strong></td><td>{{ customer.email  }}</td>
      </tr>
      <tr>
        <td><strong>Tlf</strong></td><td>{{ customer.phone}}</td>
      </tr>
      <tr>
        <td><strong>Dirección</strong></td><td>{{ customer.composite_address }}  </td>
      </tr>
      <tr>
        <td><strong>Servicios</strong></td>
        <td><strong>Dirección </strong></td>
      </tr>
      {% for service in services %}
      <tr>
        <td style="border-top: 0px solid #e4e7ea;"><strong><a href="{{service.get_absolute_url}}">#{{service.number}}</a></strong></td>
        <td style="border-top: 0px solid #e4e7ea;">
            {{service.composite_address}}
          
        </td>
      </tr>
      {% endfor %} 
 

        
    </table>
    </div>
    <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
 <!-- begin col-6 -->
 <div class="col-xl-6 ui-sortable">
   	<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
       <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Datos ingresados por el Cliente </h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
          
          <table class="table">

            {% if new_info %}
            <tr>
              <td><strong>Rut</strong></td><td>{{ new_info.customer.rut }}</td>
            </tr>
            <tr>
              <td><strong>Nombre</strong></td><td>{{ new_info.customer.name }}</td>
            </tr>
            <tr>
              <td><strong>Email</strong></td><td>{{ new_info.email  }}</td>
            </tr>
            <tr>
              <td><strong>Tlf</strong></td><td>{{ new_info.phone}}</td>
            </tr>
            <tr>
              <td><strong>Dirección</strong></td><td>{{ new_info.get_address.street_location }}</td>
            </tr>
            <tr>
              <td><strong>Servicios</strong></td>
              <td><strong>Dirección </strong></td>
            </tr>
            {% for service in ser %}
            <tr>
              <td style="border-top: 0px solid #e4e7ea;"><strong><a href="../../../services/{{service.id}}/">#{{service.number}}</a></strong></td>
              <td style="border-top: 0px solid #e4e7ea;">
                {{service.address}}
                
              </td>
            </tr>
            {% endfor %} 
            {%else%}
            El cliente no ha ingresado la informacion pero se puede actualizar desde Matrix.
            <tr>
              <td><strong>Rut</strong></td><td>{{ customer.rut }}</td>
            </tr>
            <tr>
              <td><strong>Nombre</strong></td><td>{{ customer.name }}</td>
            </tr>
            <tr>
              <td><strong>Email</strong></td><td>{{ customer.email  }}</td>
            </tr>
            <tr>
              <td><strong>Tlf </strong></td><td>{{ customer.phone}}</td>
            </tr>
            <tr>
              <td><strong>Dirección</strong></td><td> {%if customer.id_pulso%} {{ customer.get_address.street_location}}</td>{%else%} <button type="button" class="btn btn-outline-primary" data-toggle="modal" data-target="#formFolio">
                <i class="fa fa-search"></i> Buscar direccion de pulso
              </button></td>
              <div id="formFolio" class="modal">
                <div class="modal-dialog" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Buscar y actualizar direccion</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                     
                      <div id="selectores"></div>

                           
			
          
                      <!-- END MODAL BODY -->
                    </div>
                    <div class="modal-footer">
                      <button onclick="customerAddress()" type="button" class="btn btn-primary">Guardar cambios</button>
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    </div>
                  </div>
                </div>
              </div>
              {%endif%}
            </tr>
            <tr>
              <td><strong>Servicios</strong></td>
              <td><strong>Dirección </strong></td>
            </tr>
            {% for service in services %}
            <tr>
              <td style="border-top: 0px solid #e4e7ea;"><strong><a href="../../../services/{{service.pk}}/">#{{service.number}}</a></strong></td>
              <td style="border-top: 0px solid #e4e7ea;">
                {%if service.id_pulso%} {{service.get_address.street_location}}{%else%}
                <button type="button" class="btn btn-outline-primary" data-toggle="modal" id="{{service.pk}}" onclick=show_select(this.id) data-target="#formFolio{{service.pk}}">
                  <i class="fa fa-search"></i> Buscar direccion de pulso
                </button></td>
                <div id="formFolio{{service.pk}}" class="modal">
                  <div class="modal-dialog" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h5 class="modal-title">Buscar y actualizar direccion</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-body">
                       
                        <div id="selectores{{service.pk}}"></div>
  
                        <!-- END MODAL BODY -->
                      </div>
                      <div class="modal-footer">
                        <button id="service/{{service.pk}}" onclick=reply_click(this.id) type="button" class="btn btn-primary">Guardar cambios</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                      </div>
                    </div>
                  </div>
                </div>
          
                {%endif%}
              </td>
            </tr>
            {%endfor%}
            {%endif%}
        </table>
            
     <!-- end panel-body -->
  </div>
  <!-- end panel -->
  </div>
  <!-- end col-6 -->


<!-- end panel -->
</div>
<!-- end col-6 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}


{% block pageleveljs %}
<script src="{% static 'js/pulso.js' %}"></script>
<script src="{% static 'js/select2.min.js' %}"></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script>
$(document).ready(function(){
// Carga de Js para Selectores



var selects = new SPA();


var content = selects.Select('Region','region')
content += selects.Select('Comuna','commune')
content += selects.Select('Calle','street')
content += selects.Select('Nro de Calle','street_location')
content += selects.Select('Nro de Casa o Dpto.','complete_location')

var api_url = 'https://pulso.multifiber.cl/';
$("#selectores").empty().append(content);
//$("#selectores1").empty().append(content);
$("#region,#commune,#street,#street_location,#complete_location").select2({width:'100%'})

url_region = '../../../region-ac/';
selects.Select2AjaxWithoutModal(url_region,'region','Region');

$("#region").on('change',function(){
    var region = $("#region").val();
    url_commune = `/commune-ac/${region}/`;
    selects.Select2AjaxWithoutModal(url_commune,'commune','Comuna');

    $("#commune").on('change',function(){
        var commune = $("#commune").val();
        url_street = `/street-ac/${commune}/`;
        selects.Select2AjaxWithoutModal(url_street,'street','Calle');

        $("#street").on('change',function(){
            var street = $("#street").val();
            url_street_location = `/street-location-ac/${street}/`;
            selects.Select2AjaxWithoutModal(url_street_location,'street_location','Nro de calle');

            $("#street_location").on('change',function(){
                var street_location = $("#street_location").val();
                url_complete_location = `/complete-location-ac/${street_location}/`;
                selects.Select2AjaxWithoutModal(url_complete_location,'complete_location','Nro Casa o Dpto');

                $("#complete_location").on('change',function(){

                    var complete_location = $(this).val();

                })
            })
        })
    })

})

function reset_select(){
    $("#region,#commune,#street,#street_location,#complete_location")
    .val('')
    .trigger('change');
}

function SeparateNumber(val, param = 'entero') {
    // Separa con puntos y como los nÃºmeros en el datatable
    if (param != 'entero') {
        decimal = 2
    } else {
        decimal = 0
    }
    val = val.toFixed(decimal).replace('.', ',').replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.')
    while (/(\d+)(\d{3})/.test(val.toString())) {
        val = val.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
    }
    return val
}
});

function customerAddress() {
  var first = $('#street_location').val();
  var last = $('#complete_location').val();
  window.location.href = window.location+first+"/"+last+"/";
}
function reply_click(clicked_id){ 
  var number = clicked_id.replace('service/', '');
  //alert(number);
  var first = $('#street_location'+number).val();
  var last = $('#complete_location'+number).val();
  window.location.href = "../../update_"+clicked_id+"/"+first+"/"+last+"/";
} 

function show_select(clicked_id){ 
  
var selects = new SPA();

var content = selects.Select('Region','region'+clicked_id)
content += selects.Select('Comuna','commune'+clicked_id)
content += selects.Select('Calle','street'+clicked_id)
content += selects.Select('Nro de Calle','street_location'+clicked_id)
content += selects.Select('Nro de Casa o Dpto.','complete_location'+clicked_id)

//var api_url = 'https://pulso.multifiber.cl/';
var id_sel="#selectores"+clicked_id;
$(id_sel).empty().append(content);
//$("#selectores1").empty().append(content);
$("#region"+clicked_id+",#commune"+clicked_id+",#street"+clicked_id+",#street_location"+clicked_id+",#complete_location"+clicked_id).select2({width:'100%'})

url_region = '../../../region-ac/';
selects.Select2AjaxWithoutModal(url_region,'region'+clicked_id,'Region');

$("#region"+clicked_id).on('change',function(){
    var region = $("#region"+clicked_id).val();
    url_commune = `/commune-ac/${region}/`;
    selects.Select2AjaxWithoutModal(url_commune,'commune'+clicked_id,'Comuna');

    $("#commune"+clicked_id).on('change',function(){
        var commune = $("#commune"+clicked_id).val();
        url_street = `/street-ac/${commune}/`;
        selects.Select2AjaxWithoutModal(url_street,'street'+clicked_id,'Calle');

        $("#street"+clicked_id).on('change',function(){
            var street = $("#street"+clicked_id).val();
            url_street_location = `/street-location-ac/${street}/`;
            selects.Select2AjaxWithoutModal(url_street_location,'street_location'+clicked_id,'Nro de calle');

            $("#street_location"+clicked_id).on('change',function(){
                var street_location = $("#street_location"+clicked_id).val();
                url_complete_location = `/complete-location-ac/${street_location}/`;
                selects.Select2AjaxWithoutModal(url_complete_location,'complete_location'+clicked_id,'Nro Casa o Dpto');

                $("#complete_location"+clicked_id).on('change',function(){

                    var complete_location = $(this).val();

                })
            })
        })
    })

})
} 

</script>


{% endblock %}

